Faiss

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

- All
- Functions
- Enumerations

- b
- c
- f
- g
- h
- i
- k
- m
- p
- r

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented namespace members with links to the namespaces they belong to:

### - b -

- binary_to_real() : faiss
- bincode_hist() : faiss

### - c -

- check_openmp() : faiss

### - f -

- fvec_L2sqr() : faiss
- fvec_madd() : faiss
- fvec_madd_and_argmin() : faiss
- fvec_norm_L2sqr() : faiss
- fvec_norms_L2() : faiss
- fvec_norms_L2sqr() : faiss
- fvecs_maybe_subsample() : faiss

### - g -

- generalized_hammings_knn_hc() : faiss
- get_mem_usage_kb() : faiss
- getmillisecs() : faiss

### - h -

- hammings() : faiss
- hammings_knn_hc() : faiss
- hammings_knn_mc() : faiss
- handleExceptions() : faiss
- hash_bytes() : faiss
- heap_pop() : faiss
- heap_push() : faiss

### - i -

- imbalance_factor() : faiss
- index_factory() : faiss
- ivec_checksum() : faiss
- ivec_hist() : faiss

### - k -

- km_update_centroids() : faiss
- kmeans_clustering() : faiss
- knn_inner_product() : faiss
- knn_L2sqr() : faiss
- knn_L2sqr_base_shift() : faiss

### - m -

- matrix_qr() : faiss
- merge_result_table_with() : faiss
- MetricType : faiss

### - p -

- pairwise_L2sqr() : faiss

### - r -

- range_search_inner_product() : faiss
- range_search_L2sqr() : faiss
- ranklist_handle_ties() : faiss
- ranklist_intersection_size() : faiss
- real_to_binary() : faiss